######################################################################
# datHerc_DL_emanA.cs
# Dark Lord Assault Emancipator
#
######################################################################

#                      Identity_Tag  Abbreviation     Shape             Mass                MaxMass               RCS             Tech_Level      Combat_Value
hercBase(              IDVEH_DL_EMANA,"EMAN",          "rb_eman.dts",                  10.0 ,                  40 ,          0.90 ,             1 ,        1730);

#                      maxPosAcc     minPosVel        maxForPosVel      maxRevPosVel        (all_m/s)
hercPos(                      13.10 ,           1.00 ,           35.30 ,              -20.00);

#                      minRotVel     maxRVSlow        maxRVFast         (all_deg/s)
hercRot(                       5.00 ,          80.00 ,             45.00);

#                      toStandVel    toRunVel         toFastRunVel      toFastTurnVel(deg/s)
hercAnim(              4.0,          13.0,            18.0,                               36);

#                      offsetX       offsetY          offsetZ
hercCpit(              0.0,          0.6,                            0.2);

#                      sphOffstX     sphOffstY        sphOffstZ         sphereRad
hercColl(              0.0,          0.0,             3.9,                                 4);

#                      fireBayesNetName
hercAI(                "hercFire.ai", "targetPart.ai","hercManeuver.ai","hercRetreat.ai"    );

#                      Special Footprint type
hercFootprint(         IDBMP_TR_FOOTPRINT_3           );

#                                    Hard Points
#                                    (sizes:SMLX      sides:TBLR)       Dmg                 Offset_fm_Node                                        X_rot_rnge        Z_rot_rnge
#                      id            size             side              Prnt                X___                  Y___            Z___            min__       max_  min__           max__
newHardPoint(          0,            X,               T,                Head,               0.0,                  0.01,           2.2,            -25.0,      60.0, -60.0,             60);
HardPointSpecial(                   4);
newHardPoint(          1,            M,               B,                Head,               0.0,                  1.7,            -1.65,          -45.0,      35.0, -60.0,             60);
newHardPoint(          2,            S,               R,                Head,               0.9,                  -0.6,            0.95,          -20.0,      20.0, -20.0,             20);
newHardPoint(          3,            S,               L,                Head,               -0.9,                 -0.6,            0.95,          -20.0,      20.0, -20.0,             20);




#                      id            size             Dmg_Parent        Allowed_Mountables
newMountPoint(         0,            M,               Head,             Engine);
newMountPoint(         1,            L,               Head,             Reactor);
newMountPoint(         2,            S,               Head,             Computer);
newMountPoint(         3,            M,               Head,         Shield);
newMountPoint(         4,            M,               none,             Armor);
newMountPoint(         5,            M,               Head,          Sensors             );
newMountPoint(         6,            M,               LeftLeg,          ECM,                ThermalDiffuser,      NanoRepair,     Battery,    Cloak, FieldStabilizer,       ammoPack,
                                                                        ShieldModulator,      ShieldCapacitor,ShieldAmplifier,Capacitor,        AgravGenerator,        TurbineBoost);
newMountPoint(         7,            M,               RightLeg,         ECM,                ThermalDiffuser,      NanoRepair,     Battery,    Cloak, FieldStabilizer,       ammoPack,
                                                                        ShieldModulator,      ShieldCapacitor,ShieldAmplifier,Capacitor,        AgravGenerator,        TurbineBoost);
#                      Internal      Components
#                      id            type             parent            max_dmg             identity_tag
newComponent(          Armor,        Armor,           none,                           8000 ,IDCOM_ARMOR           );
newComponent(          LeftServos,   LeftServos,      none,                            500 ,IDCOM_LEFT_LEG_SERVOS );
newComponent(          RightServos,  RightServos,     none,                            500 ,IDCOM_RIGHT_LEG_SERVOS);

#                      External      Components
#                      id            type             parent            max_dmg             identity_tag          total internals             4500
newComponent(          Head,         Head,            none,                            950 ,IDCOM_HEAD            );                        # 0.18
newComponent(          LeftLeg,      LeftLeg,         Head,                            650 ,IDCOM_LEFT_LEG        );                        # 0.12
newComponent(          RightLeg,     RightLeg,        Head,                            650 ,IDCOM_RIGHT_LEG       );                        # 0.12
newComponent(          LeftCalf,     LeftCalf,        LeftLeg,                         555 ,IDCOM_LEFT_CALF       );                        # 0.11
newComponent(          RightCalf,    RightCalf,       RightLeg,                        555 ,IDCOM_RIGHT_CALF      );                        # 0.11
newComponent(          LeftFoot,     LeftFoot,        LeftCalf,                        355 ,IDCOM_LEFT_FOOT       );                        # 0.07
newComponent(          RightFoot,    RightFoot,       RightCalf,                       355 ,IDCOM_RIGHT_FOOT      );                        # 0.07
newComponent(          LeftPod,      LeftPod,         Head,                              0 ,IDCOM_LEFT_POD        );                        # 0.11
newComponent(          RightPod,     RightPod,        Head,                              0 ,IDCOM_RIGHT_POD       );                        # 0.11
newComponent(          Pilot,        Pilot,           none,                            300 ,IDCOM_PILOT           );
#                                                     (totals)                          4500                                                  1.00

#                      Distribution  of               internal          components          among                 external        components
#                      containee     container        percent/100
newConfiguration(      Armor,        LeftFoot,                      0.09);                                   # 720             385
newConfiguration(      Armor,        RightFoot,                     0.09);                                   # 720             385
newConfiguration(      Armor,        LeftCalf,                      0.11);                                   # 880             605
newConfiguration(      Armor,        RightCalf,                     0.11);                                   # 880             605
newConfiguration(      Armor,        LeftLeg,                       0.12);                                   # 675             660
newConfiguration(      Armor,        RightLeg,                      0.12);                                   # 675             660
newConfiguration(      Armor,        LeftPod,                       0.0);                                   # 0             0
newConfiguration(      Armor,        RightPod,                      0.0);                                   # 0             0
newConfiguration(      Armor,        Head,                          0.36);                                  # 2880             950
#                      -----
#                                                                   1.00

newConfiguration(      LeftServos,   LeftFoot,                       0.3);
newConfiguration(      LeftServos,   LeftCalf,                      0.35);
newConfiguration(      LeftServos,   LeftLeg,                       0.35);

newConfiguration(      RightServos,  RightFoot,                      0.3);
newConfiguration(      RightServos,  RightCalf,                     0.35);
newConfiguration(      RightServos,  RightLeg,                      0.35);

defaultWeapons(        107,                        107);
defaultMountables(     105,          204,             801,              306,                927,                  412,            840,                     830);

