// datWeaponDLord.cs								
//Dark Lord Weapons

//***************
//Skirmish (Small Mounts)
//***************

//-------------------------------------------------------------------------								
// Chain Cannon {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	101 ,	"wg_atc.dts",	S,	IDSFX_ATC,	800 ,	A,	IDSPEC_WEA_CHN	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_CHN,	IDWDESC_CHN,	"ATC_S.bmp",	"ATC_SD.bmp",	"ATC_L.bmp",	"ATC_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	1 ,	400 ,	1.0	 );				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_atc.dts",	"mz_atcT.dts",	F,	255 ,	208 ,	62 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	0.9 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.30 ,	2.20 ,	0.70		);			
weaponShot(	0.00 ,	2.50 ,	0.70	, 0.1	);			
weaponShot(	0.15 ,	2.35 ,	0.70	, 0.2	);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	1 ,	1000 ,	1000 ,	9	);			

//-------------------------------------------------------------------------								
// Light Laser {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	103 ,	"wg_las.dts",	S,	IDSFX_LAS,	800 ,	A,	IDSPEC_WEA_LITE    	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_LITE,	IDWDESC_LITE,	"LAS_S.bmp",	"LAS_SD.bmp",	"LAS_L.bmp",	"LAS_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	1 ,	435 ,	0.50	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_las.dts",	"mz_lasT.dts",	T,	239 ,	90 ,	90 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	1.0 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	2.30 ,	0.73		);			

//	projectileId 	Charge_limit	Charge_rate					
weaponEnergy(	2 ,	25 ,	25.00	);				
								
//-------------------------------------------------------------------------								
// ElectroDifference Probe {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	118 ,	"wt_elf.dts",	S,	IDSFX_ELF,	800 ,	H,	IDSPEC_WEA_EDP	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_EDP,	IDWDESC_EDP,	"ELF_S.bmp",	"ELF_SD.bmp",	"ELF_L.bmp",	"ELF_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	5 ,	820 ,	4.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_elf.dts",	"mz_elfT.dts",	F,	72 ,	150 ,	255 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	1.0 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	1.00 ,	0.80		);			
weaponShot(	-0.80 ,	0.00 ,	0.80	, 0.2	);			
weaponShot(	0.80 ,	0.00 ,	0.80	, 0.2	);			

//	projectileId 	Charge_limit	Charge_rate					
weaponEnergy(	7 ,	60 ,	60.00	);				

//-------------------------------------------------------------------------								
// Flame Cannon {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	104 ,	"wg_bc.dts",	S,	IDSFX_BC,	800 ,	A,	IDSPEC_WEA_FLAM	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_FLAM,	IDWDESC_FLAM,	"BC_S.bmp",	"BC_SD.bmp",	"BC_L.bmp",	"BC_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	4 ,	920 ,	1.50	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_rail.dts",	"mz_railT.dts",	T,	255 ,	208 ,	62 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	1.5 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	3.00 ,	1.00		);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	3 ,	20 ,	20 ,	1	);			

//-------------------------------------------------------------------------								
// Fragmentation Grenade {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	105 ,	"wg_vip8.dts",	S,	IDSFX_PRX6,	800 ,	A,	IDSPEC_WEA_FRAG	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_FRAG,	IDWDESC_FRAG,	"PRX_S.bmp",	"PRX_SD.bmp",	"PRX_L.bmp",	"PRX_LD.bmp" 	);	

//  	Techlevel	CombatValue	Mass					
weaponInfo2(	1 ,	400 ,	3.00	);				

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	2.0 ,	0.0 ,	F	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	1.00 ,	1.00		);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	4 ,	10 ,	10 ,	1	);			

//-------------------------------------------------------------------------								
// Interceptor Missle {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	114 ,	"wg_min.dts",	S,	IDSFX_APH,	800 ,	A,	IDSPEC_WEA_INTMIS	);
								
//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_INTMIS,	IDWDESC_INTMIS,	"LaserMissile_S.bmp",	"LaserMissile_SD.bmp",	"LaserMissile_L.bmp",	"LaserMissile_LD.bmp" 	);	

//  	Techlevel	CombatValue	Mass					
weaponInfo2(	3 ,	595 ,	2.50	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_smok.dts",	"mz_smokT.dts",	T,	0 ,	0 ,	0 ,	0	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	3.0 ,	2.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	3.00 ,	1.00		);			
weaponShot(	1.80 ,	1.00 ,	1.00	, 0.2	);			
weaponShot(	-1.80 ,	1.00 ,	1.00	, 0.4	);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	5 ,	90 ,	90 ,	3	);			

//-------------------------------------------------------------------------								
// Flash Gun {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	147 ,	"wc_blnk.dts",	S,	IDSFX_BLNK,	800 ,	C,	IDSPEC_WEA_FLASH	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_FLASH,	IDWDESC_FLASH,	"BLNK_S.bmp",	"BLNK_SD.bmp",	"BLNK_L.bmp",	"BLNK_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	5 ,	785 ,	1.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_blnk.dts",	"mz_blnkT.dts",	F,	255 ,	255 ,	255 ,	7.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	1.0 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	2.00 ,	1.00		);			
weaponShot(	0.00 ,	2.00 ,	1.00	, 0.01	);			
weaponShot(	0.00 ,	2.00 ,	1.00	, 0.02	);			

//	projectileId 	Charge_limit	Charge_rate					
weaponEnergy(	10 ,	25 ,	25.00	);				

//-------------------------------------------------------------------------								
// Scatter Gun {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	131 ,	"wm_sgun.dts",	S,	IDSFX_SGUN,	800 ,	A,	IDSPEC_WEA_SCAT    	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_SCAT,	IDWDESC_SCAT,	"SGUN_S.bmp",	"SGUN_SD.bmp",	"SGUN_L.bmp",	"SGUN_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	7 ,	625 ,	2.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_blas.dts",	"mz_blasT.dts",	T,	112 ,	246 ,	116 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	1.5 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	2.50 ,	0.70		);			
weaponShot(	0.00 ,	2.50 ,	0.70		);			
weaponShot(	0.00 ,	2.50 ,	0.70		);			

//	projectileId 	Charge_limit	Charge_rate					
weaponEnergy(	11 ,	30 ,	19.00	);				

//-------------------------------------------------------------------------								
// Disruptor Missle {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	134 ,	"wt_swrm.dts",	S,	IDSFX_SWRM,	800 ,	H,	IDSPEC_WEA_DISMIS	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_DISMIS,	IDWDESC_DISMIS,	"SWRM_S.bmp",	"SWRM_SD.bmp",	"SWRM_L.bmp",	"SWRM_LD.bmp" 	);	

//  	Techlevel	CombatValue	Mass					
weaponInfo2(	5 ,	630 ,	4.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_smok.dts",	"mz_smokT.dts",	T,	0 ,	0 ,	0 ,	0	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	5.0 ,	7.5 ,	F	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	2.00 ,	1.00		);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	43 ,	20 ,	20 ,	1	);			

//-------------------------------------------------------------------------								
// Ion Rifle {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	213 ,	"wt_dis.dts",	S,	IDSFX_DIS,	800 ,	H,	IDSPEC_WEA_ION	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_ION,	IDWDESC_ION,	"DIS_S.bmp",	"DIS_SD.bmp",	"DIS_L.bmp",	"DIS_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	6 ,	600 ,	2.50	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_dis.dts",	"mz_disT.dts",	T,	72 ,	150 ,	255 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	1.5 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	3.50 ,	1.00		);			

//	projectileId 	Charge_limit	Charge_rate					
weaponEnergy(	13 ,	45 ,	30.00	);				

//-------------------------------------------------------------------------								
// Mini-Flamer {DLordsMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	206 ,	"wg_emp.dts",	S,	IDSFX_MIN,	800 ,	A,	IDSPEC_WEA_MFLAM    	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_MFLAM,	IDWDESC_MFLAM,	"EMP_S.bmp",	"EMP_SD.bmp",	"EMP_L.bmp",	"EMP_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	3 ,	610 ,	1.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_emp.dts",	"mz_empT.dts",	T,	72 ,	150 ,	255 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	0.3 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	2.20 ,	0.95	 	);					

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	6 ,	150 ,	150 ,	1	);			
			
//-------------------------------------------------------------------------								
// Valus Weapon {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	214 ,	"wm_ncan.dts",	S,	IDSFX_NCAN,	800 ,	C,	IDSPEC_WEA_VALUS	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_VALUS,	IDWDESC_VALUS,	"NCAN_S.bmp",	"NCAN_SD.bmp",	"NCAN_L.bmp",	"NCAN_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	5 ,	660 ,	2.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_blas.dts",	"mz_blasT.dts",	T,	112 ,	246 ,	116 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	1.7 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	2.75 ,	1.00		);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	14 ,	30 ,	30 ,	1	);			

//-------------------------------------------------------------------------								
// Needler {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	225 ,	"wm_ncan.dts",	S,	NONE,	800 ,	A,	IDSPEC_WEA_NEEDLR	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_NEEDLR,	IDWDESC_NEEDLR,	"NCAN_S.bmp",	"NCAN_SD.bmp",	"NCAN_L.bmp",	"NCAN_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	5 ,	660 ,	2.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_hatc.dts",	"mz_hatcT.dts",	F,	255 ,	208 ,	62 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	0.15 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	3.55 ,	1.00		);			
weaponShot(	0.50 ,	2.75 ,	1.00	, 0.05	);			
weaponShot(	-0.50 ,	2.75 ,	1.00	, 0.10	);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	25 ,	10000 ,	10000 ,	30	);			
								
//-------------------------------------------------------------------------								
// Heal Probe {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	208 ,	"wt_elf.dts",	S,	IDSFX_ELF,	800 ,	A,	IDSPEC_WEA_HEAL	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_HEAL,	IDWDESC_HEAL,	"ELF_S.bmp",	"ELF_SD.bmp",	"ELF_L.bmp",	"ELF_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	5 ,	820 ,	4.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_elf.dts",	"mz_elfT.dts",	F,	72 ,	150 ,	255 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	1.0 ,	0.0 ,	F	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	1.00 ,	0.80		);			
weaponShot(	-0.80 ,	0.00 ,	0.80	, 0.2	);			
weaponShot(	0.80 ,	0.00 ,	0.80	, 0.2	);			

//	projectileId 	Charge_limit	Charge_rate					
weaponEnergy(	8 ,	100 ,	100.00	);				

//***************
//Engagement Weapons
//***************

//-------------------------------------------------------------------------								
// AutoLaser {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	102 ,	"wt_clas.dts",	M,	IDSFX_CLAS,	1000 ,	H,	IDSPEC_WEA_ALAS    	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_ALAS,	IDWDESC_ALAS,	"CLAS_S.bmp",	"CLAS_SD.bmp",	"CLAS_L.bmp",	"CLAS_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	4 ,	570 ,	2.50	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_clas.dts",	"mz_clasT.dts",	T,	112 ,	246 ,	116 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	0.6 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	2.20 ,	0.80		);			
weaponShot(	0.00 ,	2.20 ,	0.80 ,	0.2	);			
weaponShot(	0.00 ,	2.20 ,	0.80 ,	0.4	);			

//	projectileId 	Charge_limit	Charge_rate					
weaponEnergy(	15 ,	30 ,	50.00	);				

//-------------------------------------------------------------------------								
// Warp Cannon {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	106 ,	"wm_hbla.dts",	M,	IDSFX_HBLA,	1000 ,	A,	IDSPEC_WEA_WARP	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_WARP,	IDWDESC_WARP,	"HBLA_S.bmp",	"HBLA_SD.bmp",	"HBLA_L.bmp",	"HBLA_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	6 ,	865 ,	3.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_hbla.dts",	"mz_hblaT.dts",	T,	112 ,	246 ,	116 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	2.0 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	3.00 ,	1.00		);			

//	projectileId 	Charge_limit	Charge_rate					
weaponEnergy(	16 ,	60 ,	28.00	);				

//-------------------------------------------------------------------------								
// Vulcan {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	107 ,	"wg_hatc.dts",	M,	IDSFX_HATC,	800 ,	A,	IDSPEC_WEA_VUL	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_VUL,	IDWDESC_VUL,	"HATC_S.bmp",	"HATC_SD.bmp",	"HATC_L.bmp",	"HATC_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	3 ,	610 ,	2.50	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_hatc.dts",	"mz_hatcT.dts",	F,	255 ,	208 ,	62 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	0.6 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.30 ,	2.80 ,	1.00		);			
weaponShot(	0.00 ,	2.90 ,	1.00	, 0.1	);			
weaponShot(	0.15 ,	3.00 ,	1.00	, 0.2	);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	17 ,	1000 ,	1000 ,	23	);			

//-------------------------------------------------------------------------								
// Falcon Missle {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	111 ,	"wg_min.dts",	M,	IDSFX_MIN,	1000 ,	A,	IDSPEC_WEA_FALMIS	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_FALMIS,	IDWDESC_FALMIS,	"MIN_S.bmp",	"MIN_SD.bmp",	"MIN_L.bmp",	"MIN_LD.bmp" 	);	

//  	Techlevel	CombatValue	Mass					
weaponInfo2(	5 ,	840 ,	3.50	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_smok.dts",	"mz_smokT.dts",	T,	0 ,	0 ,	0 ,	0	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	3.0 ,	3.0 ,	F	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	2.00 ,	1.00		);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	18  ,	25 ,	25 ,	1	);			
								
//-------------------------------------------------------------------------								
// Wash Gun {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	117 ,	"wm_qgun.dts",	M,	IDSFX_QGUN,	1000 ,	A,	IDSPEC_WEA_WASH	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_WASH,	IDWDESC_WASH,	"QGUN_S.bmp",	"QGUN_SD.bmp",	"QGUN_L.bmp",	"QGUN_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	7 ,	1135 ,	6.0	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_las.dts",	"mz_blasT.dts",	T,	128 ,	0 ,	255 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	2.0 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	2.50 ,	1.20		);			

//	projectileId 	Charge_limit	Charge_rate					
weaponEnergy(	44 ,	60 ,	29.00	);				

//-------------------------------------------------------------------------								
// Impact Cannon {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	115 ,	"wg_hbc.dts",	M,	IDSFX_HBC,	1000 ,	A,	IDSPEC_WEA_IMP	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_IMP,	IDWDESC_IMP,	"HBC_S.bmp",	"HBC_SD.bmp",	"HBC_L.bmp",	"HBC_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	5 ,	1015 ,	7.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_rail.dts",	"mz_railT.dts",	T,	255 ,	208 ,	62 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	2.5 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	3.30 ,	1.15		);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	19 ,	25 ,	25 ,	1	);			

//-------------------------------------------------------------------------								
// Black Laser {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	127 ,	"wg_hlas.dts",	M,	IDSFX_HLAS,	800 ,	A,	IDSPEC_WEA_BLKLAS    	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_BLKLAS,	IDWDESC_BLKLAS,	"HLAS_S.bmp",	"HLAS_SD.bmp",	"HLAS_L.bmp",	"HLAS_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	3 ,	700 ,	4.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_las.dts",	"mz_lasT.dts",	T,	0 ,	0 ,	0 ,	5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	1.5 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	2.50 ,	0.60		);			

//	projectileId 	Charge_limit	Charge_rate					
weaponEnergy(	22 ,	40 ,	25.00	);				

//-------------------------------------------------------------------------								
// EMP Missle {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	125 ,	"wg_min.dts",	M,	IDSFX_APH,	1000 ,	A,	IDSPEC_WEA_EMPMIS	);
								
//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_EMPMIS,	IDWDESC_EMPMIS,	"LaserMissile_S.bmp",	"LaserMissile_SD.bmp",	"LaserMissile_L.bmp",	"LaserMissile_LD.bmp" 	);	

//  	Techlevel	CombatValue	Mass					
weaponInfo2(	3 ,	595 ,	3.50	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_smok.dts",	"mz_smokT.dts",	T,	0 ,	0 ,	0 ,	0	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	3.0 ,	4.0 ,	F	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	2.00 ,	1.00		);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	21 ,	20 ,	20 ,	1	);			

//-------------------------------------------------------------------------								
// Rocket Pack {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	227 ,	"wg_spr6.dts",	M,	IDSFX_SPR6,	1000 ,	A,	IDSPEC_WEA_ROCKET	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_ROCKET,	IDWDESC_ROCKET,	"SPR_S.bmp",	"SPR_SD.bmp",	"SPR_L.bmp",	"SPR_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	2 ,	490 ,	3.50	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_smok.dts",	"mz_smokT.dts",	T,	0 ,	0 ,	0 ,	0	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	1.0 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	2.00 ,	1.00		);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	27 ,	30 ,	30 ,	1	);			

//-------------------------------------------------------------------------								
// Will'O Wisp {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	229 ,	"wt_swrm.dts",	M,	IDSFX_SWRM,	1000 ,	H,	IDSPEC_WEA_WOW	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_WOW,	IDWDESC_WOW,	"SWRM_S.bmp",	"SWRM_SD.bmp",	"SWRM_L.bmp",	"SWRM_LD.bmp" 	);	

//  	Techlevel	CombatValue	Mass					
weaponInfo2(	5 ,	630 ,	5.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_plas.dts",	"mz_plasT.dts",	T,	0 ,	0 ,	0 ,	0	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	5.0 ,	5.0 ,	F	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	2.00 ,	1.00		);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	29 ,	10 , 10 ,	1	);			

//***************
//Tactical Weapons
//***************

//-------------------------------------------------------------------------								
// Polaris Nano Bomb {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	133 ,	"wc_rail.dts",	L,	IDSFX_LGB,	1200 ,	A,	IDSPEC_WEA_POL	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_POL,	IDWDESC_POL,	"LGB_S.bmp",	"LGB_SD.bmp",	"LGB_L.bmp",	"LGB_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	2 ,	500 ,	15.00	);				

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	30.0 ,	10.0 ,	F	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	20.00 ,	500.00 , 500.0		);			
weaponShot(	0.00 ,	500.00 , 500.0	, 2.0	);			
weaponShot(	20.00 ,	500.00 , 500.0	, 4.0	);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	36 ,	5 ,	5 ,	1	);			

//-------------------------------------------------------------------------								
// Marius Laser {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	121 ,	"wc_pbw.dts",	L,	IDSFX_PBW,	1200 ,	C,	IDSPEC_WEA_MARIUS	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_MARIUS,	IDWDESC_MARIUS,	"PBW_S.bmp",	"PBW_SD.bmp",	"PBW_L.bmp",	"PBW_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	5 ,	900 ,	7.50	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_pbw.dts",	"mz_pbwT.dts",	T,	72 ,	150 ,	255 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	4.5 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	1.00 ,	0.35		);			

//	projectileId 	Charge_limit	Charge_rate					
weaponEnergy(	35 ,	225 ,	45.00	);				

//-------------------------------------------------------------------------								
// Condensed Photon Laser {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	110 ,	"wc_pbw.dts",	L,	IDSFX_HLAS,	1200 ,	A,	IDSPEC_WEA_CPLAS	);	

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_CPLAS,	IDWDESC_CPLAS,	"HLAS_S.bmp",	"HLAS_SD.bmp",	"HLAS_L.bmp",	"HLAS_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	2 ,	150 ,	8.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_las.dts",	"mz_lasT.dts",	T,	239 ,	90 ,	90 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	8.0 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	5.00 ,	0.52		);			
								
//	projectileId 	Charge_limit	Charge_rate					
weaponEnergy(	33 ,	480 ,	59.00	);				

//-------------------------------------------------------------------------								
// Radiation Gun {cybrid}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	232 ,	"wc_rad.dts",	L,	IDSFX_RAD,	1200 ,	C,	IDSPEC_WEA_NCAN	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_NCAN,	IDWDESC_NCAN,	"RAD_S.bmp",	"RAD_SD.bmp",	"RAD_L.bmp",	"RAD_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	5 ,	770 ,	6.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_blas.dts",	"mz_blasT.dts",	T,	112 ,	246 ,	116 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	1.8 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	1.50 ,	0.80		);			

//	projectileId 	Charge_limit	Charge_rate					
weaponEnergy(	42 ,	90 ,	60.00	);				

//-------------------------------------------------------------------------								
// Eagle Cruise Missle {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	108 ,	"wg_vip12.dts",	L,	IDSFX_VIP12,	1200 ,	A,	IDSPEC_WEA_ECMIS	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_ECMIS,	IDWDESC_ECMIS,	"VIP_S.bmp",	"VIP_SD.bmp",	"VIP_L.bmp",	"VIP_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	3 ,	700 ,	15.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_smok.dts",	"mz_smokT.dts",	T,	0 ,	0 ,	0 ,	0	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	10.0 ,	10.0 ,	F	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	2.00 ,	1.50		);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	31 ,	10 ,	10 ,	1	);			

//-------------------------------------------------------------------------								
// Eagle Ballistic Missle {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	136 ,	"wg_vip12.dts",	L,	IDSFX_VIP12,	1200 ,	A,	IDSPEC_WEA_EBMIS	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_EBMIS,	IDWDESC_EBMIS,	"VIP_S.bmp",	"VIP_SD.bmp",	"VIP_L.bmp",	"VIP_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	3 ,	700 ,	10.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_smok.dts",	"mz_smokT.dts",	T,	0 ,	0 ,	0 ,	0	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	6.0 ,	0.0 ,	F	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	2.00 ,	1.50		);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	37 ,	15 ,	15 ,	1	);			

//-------------------------------------------------------------------------								
// Plasma Flamethrower {cybrid}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	230 ,	"wc_nano.dts",	L,	IDSFX_NANO,	1200 ,	C,	IDSPEC_WEA_PFLAM	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_PFLAM,	IDWDESC_PFLAM,	"NANO_S.bmp",	"NANO_SD.bmp",	"NANO_L.bmp",	"NANO_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	4 ,	600 ,	5.50	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_smok.dts",	"mz_smokT.dts",	T,	112 ,	246 ,	116 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	1.7 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	1.50 ,	1.00		);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	30 ,	30 ,	30 ,	1	);			

//-------------------------------------------------------------------------								
// Solaris Mortar {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	250 ,	"wc_rail.dts",	X,	IDSFX_RAIL,	1500 ,	H,	IDSPEC_WEA_SOL	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_SOL,	IDWDESC_SOL,	"RAIL_S.bmp",	"RAIL_SD.bmp",	"RAIL_L.bmp",	"RAIL_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	5 ,	975 ,	8.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_plas.dts",	"mz_plasT.dts",	T,	255 ,	208 ,	62 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	8.0 ,	0.00 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	3.20 ,	0.60		);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	53 ,	20 ,	20 ,	1	);			

//***************
//Assault Weapons
//***************

//-------------------------------------------------------------------------								
// Decimator Cannon {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	247 ,	"wx_can.dts",	X,	IDSFX_MFAC,	1500 ,	H,	IDSPEC_WEA_DEC	);	

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_DEC,	IDWDESC_DEC,	"HLAS_S.bmp",	"HLAS_SD.bmp",	"HLAS_L.bmp",	"HLAS_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	2 ,	150 ,	15.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(  "mz_mfac.dts",  "mz_mfacT.dts", F,      72 ,    150 ,   255 ,   2.5     );

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	10.0 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	18.35 ,	0.57		);			
weaponShot(	0.00 ,	18.35 ,	0.57	, 0.2	);			
weaponShot(	0.00 ,	18.35 ,	0.57	, 0.4	);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	47 ,	24 ,	24 ,	3	);			

//-------------------------------------------------------------------------								
// Sniper Cannon {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	246 ,	"wr_artl.dts",	X,	IDSFX_NIKE,	1500 ,	H,	IDSPEC_WEA_SNIP	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_SNIP,	IDWDESC_SNIP,	"HBC_S.bmp",	"HBC_SD.bmp",	"HBC_L.bmp",	"HBC_LD.bmp" 	);	
								
//	Techlevel	CombatValue	Mass					
weaponInfo2(	5 ,	1000 ,	15.00	);				
								
//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_rail.dts",	"mz_railT.dts",	T,	255 ,	208 ,	62 ,	5.0	);
								
//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	15.0 ,	0.0 ,	T	);				
								
//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	13.25 ,	0.00		);			
								
//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	50 ,	8 ,	8 ,	1	);			
								
//-------------------------------------------------------------------------								
// Polaris Neutronic Mass Driver {DLordMOD}						
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	244 ,	"wc_artl.dts",	X,	IDSFX_NIKE,	1500 ,	C,	IDSPEC_WEA_PNMD	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_PNMD,	IDWDESC_PNMD,	"HBC_S.bmp",	"HBC_SD.bmp",	"HBC_L.bmp",	"HBC_LD.bmp" 	);	
								
//	Techlevel	CombatValue	Mass					
weaponInfo2(	5 ,	1000 ,	20.00	);				
								
//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_rail.dts",	"mz_railT.dts",	T,	50 ,	255 ,	50 ,	20.0	);
								
//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	20.0 ,	0.0 ,	T	);				
								
//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	15.65 ,	0.00		);			
weaponShot(	0.00 ,	15.65 ,	0.00	, 0.1	);			
weaponShot(	0.00 ,	15.65 ,	0.00	, 0.2	);			
								
//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	20 ,	10 ,	10 ,	1	);			

//-------------------------------------------------------------------------								
// Gauss Cannon {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	113 ,	"wc_rail.dts",	X,	IDSFX_RAIL,	1500 ,	H,	IDSPEC_WEA_GAUSS	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_GAUSS,	IDWDESC_GAUSS,	"RAIL_S.bmp",	"RAIL_SD.bmp",	"RAIL_L.bmp",	"RAIL_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	5 ,	975 ,	8.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_plas.dts",	"mz_plasT.dts",	T,	255 ,	208 ,	62 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	3.20 ,	0.00 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	3.20 ,	0.60		);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	41 ,	30 ,	30 ,	1	);			

//-------------------------------------------------------------------------								
// Storm Missle Launcher {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	120 ,	"wc_shrk.dts",	X,	IDSFX_SHRK,	1500 ,	A,	IDSPEC_WEA_STORM	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_STORM,	IDWDESC_STORM,	"SHRK_S.bmp",	"SHRK_SD.bmp",	"SHRK_L.bmp",	"SHRK_LD.bmp" 	);	

//  	Techlevel	CombatValue	Mass					
weaponInfo2(	4 ,	800 ,	8.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_smok.dts",	"mz_smokT.dts",	T,	0 ,	0 ,	0 ,	0	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	1.0 ,	0.8 ,	F	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	2.00 ,	1.00		);			
weaponShot(	0.50 ,	1.00 ,	1.00	, 0.33	);			
weaponShot(	-0.50 ,	1.00 ,	1.00	, 0.66	);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	32 ,	60 ,	60 ,	3	);			

//-------------------------------------------------------------------------								
// Ultima Bomb {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	245 ,	"wg_vip12.dts",	X,	IDSFX_HAD,	1500 ,	C,	IDSPEC_WEA_ULT	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp	
weaponInfo1(	IDWEA_ULT,	IDWDESC_ULT,	"HAD_S.bmp",	"HAD_SD.bmp",	"HAD_L.bmp",	"HAD_LD.bmp" 	);

//	Techlevel	CombatValue	Mass				
weaponInfo2(	6 ,	500 ,	20.00	);			

//	Reload/anim_time	Lock_time	Converge				
weaponGeneral(	30.0 ,	20.0 ,	F	);			

//	FireOffset (X)	(Y)	(Z)	FireTime			
weaponShot(	0.00 ,	0.00 ,	0.00	, 30.0	);		

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley			
weaponAmmo(	45 ,	1 ,	1 ,	1	);		

//-------------------------------------------------------------------------								
// ThunderBolt Cannon {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	112 ,	"wm_mfac.dts",	X,	IDSFX_MFAC,	1500 ,	A,	IDSPEC_WEA_THCAN	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_THCAN,	IDWDESC_THCAN,	"MFAC_S.bmp",	"MFAC_SD.bmp",	"MFAC_L.bmp",	"MFAC_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	8 ,	1225 ,	8.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_mfac.dts",	"mz_mfacT.dts",	F,	22 ,	50 ,	255 ,	5.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	5.0 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.80 ,	2.00 ,	1.00		);			
weaponShot(	0.00 ,	3.00 ,	1.00		);			
weaponShot(	-0.80 ,	2.00 ,	1.00		);			

//	projectileId 	Charge_limit	Charge_rate					
weaponEnergy(	40 ,	200 ,	38.00	);				

//***************
//Special Weapons
//***************

//----------------------------------------------------------------------------
// Avatar's Calling {DLordMOD}
// My personal modification of the FOG weapon.
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	1 ,	"wc_blnk.dts",	S,	IDSFX_ORBITAL_GUN,	1500 ,	H,	IDSPEC_WEA_AVATAR);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_AVATAR,	IDWDESC_AVATAR,	"BLNK_S.bmp",	"BLNK_SD.bmp",	"BLNK_L.bmp",	"BLNK_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	9 ,	3000 ,	0.50	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_las.dts",	"mz_lasT.dts",	F,	112 ,	246 ,	116 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	150.00 ,45.00 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 , -1000.0 ,2000.0	, 15.0	);			
weaponShot(	0.00 , -1000.0 ,2000.0	, 0.5	);			
weaponShot(	0.00 , -1000.0 ,2000.0	, 1.0	);			

//	projectileId 	Charge_limit	Charge_rate					
weaponEnergy(	48 ,	1500 ,	10.00	);	

//-------------------------------------------------------------------------								
// Gravity Inversion Bomb {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	2 ,	"wc_rail.dts",	S,	IDSFX_ORBITAL_GUN,	1500 ,	C,	IDSPEC_WEA_GBOMB	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_GBOMB,	IDWDESC_GBOMB,	"LGB_S.bmp",	"LGB_SD.bmp",	"LGB_L.bmp",	"LGB_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	2 ,	500 ,	25.00	);				

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	20.0 ,	10.0 ,	F	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	300.00 ,	-500.00 ,	500.0		);			
weaponShot(	0.00 ,		-500.00 ,	500.0	, 1.0	);			
weaponShot(	-300.00 ,	-500.00 ,	500.0	, 2.0	);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	43 ,	10 ,	10 ,	1	);			

//----------------------------------------------------------------------------
// The Wrath of God {DLordMOD}
// Run For Cover!!
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	3 ,	"wc_blnk.dts",	S,	IDSFX_ORBITAL_GUN,	1500 ,	A,	IDSPEC_WEA_WRATH);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_WRATH,	IDWDESC_WRATH,	"BLNK_S.bmp",	"BLNK_SD.bmp",	"BLNK_L.bmp",	"BLNK_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	9 ,	3000 ,	0.50	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_las.dts",	"mz_lasT.dts",	F,	212 ,	146 ,	116 ,	25	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	1.00 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	20.00 , -50.0 ,1000.0	, 30.0	);			
weaponShot(	0.00 , -70.0 ,1000.0	, 0.2	);			
weaponShot(	-20.00 , -50.0 ,1000.0	, 0.4	);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	49 ,	50 ,	50 ,	1	);			

//-------------------------------------------------------------------------							
// Large Bore Rotary Cannon {DLordMOD}							
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	
newWeapon(	4 ,	"wx_gat.dts",	X,	IDSFX_HATC,	1500,	H	, IDSPEC_WEA_LBORE);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp	
weaponInfo1(	IDWEA_LBORE,	IDWDESC_LBORE,	"HATC_S.bmp",	"HATC_SD.bmp",	"HATC_L.bmp",	"HATC_LD.bmp" 	);

//	Techlevel	CombatValue	Mass				
weaponInfo2(	2 ,	150 ,	8.00	);			

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange
weaponMuzzle(	"mz_hatc.dts",	"mz_hatcT.dts",	F,	255 ,	208 ,	62 ,	2.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	0.3 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.30 ,	6.00 ,	1.50		);			
weaponShot(	0.00 ,	6.00 ,	1.80	, 0.1	);			
weaponShot(	-0.3 ,	6.00 ,	1.50	, 0.2	);			

//  	projectileId	maxAmmo	startAmmo	roundsPerVolley				
weaponAmmo(	17 ,	3000 ,	3000 ,	81	);			

//-------------------------------------------------------------------------								
// Pulse Blaster {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base		
newWeapon(	5 ,	"wx_TURM.dts",	X,	IDSFX_MFAC,	225,	C	, IDSPEC_WEA_PULSE);	

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_PULSE,	IDWDESC_PULSE,	"HLAS_S.bmp",	"HLAS_SD.bmp",	"HLAS_L.bmp",	"HLAS_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	2 ,	150 ,	11.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_mfac.dts",	"mz_mfacT.dts",	F,	72 ,	250 ,	250 ,	15	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	5 ,	0.0 ,	T	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	5.00 ,	0.52		);			
weaponShot(	0.00 ,	5.00 ,	0.65	, 0.15	);			
weaponShot(	0.00 ,	5.00 ,	0.82	, 0.3	);			

//	projectileId 	Charge_limit	Charge_rate				
weaponEnergy(	51 ,	250 ,	49.00	);			

//-------------------------------------------------------------------------								
// Charger Lance {DLordMOD}								
//	Id	Shape	Size	Sound_Tag	Damage	Tech Base	Description Tag	
newWeapon(	6 ,	"wc_blnk.dts",	S,	NONE,	2500 ,	A,	IDSPEC_WEA_LANCE	);

//	ShortName_tag	Longname_tag	SmallBmp	SmDisabledBmp	LargeBmp	LgDisabledBmp		
weaponInfo1(	IDWEA_LANCE,	IDWDESC_LANCE,	"BLNK_S.bmp",	"BLNK_SD.bmp",	"BLNK_L.bmp",	"BLNK_LD.bmp" 	);	

//	Techlevel	CombatValue	Mass					
weaponInfo2(	5 ,	785 ,	5.00	);				

//	MuzzleShape	Trans MuzzleShape	FaceCamera	FlashColor (R)	(G)	(B)	FlashRange	
weaponMuzzle(	"mz_blnk.dts",	"mz_blnkT.dts",	F,	255 ,	255 ,	255 ,	7.5	);

//	Reload/anim_time	Lock_time	Converge					
weaponGeneral(	0.15 ,	0.0 ,	F	);				

//	FireOffset (X)	(Y)	(Z)	FireTime				
weaponShot(	0.00 ,	2.00 ,	1.00		);			
weaponShot(	0.00 ,	2.00 ,	1.00	, 0.1	);			
weaponShot(	0.00 ,	2.00 ,	1.00	, 0.2	);			

//	projectileId 	Charge_limit	Charge_rate					
weaponEnergy(	60 ,	90 ,	600	);				
